﻿using System;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.Netduino;
using System.Diagnostics;
using System.IO;
using System.IO.Ports;
using System.Text;
using System.Collections;

//http://forums.netduino.com/index.php?/topic/10357-multiple-serials-ports-in-threads-best-practices/page-2

namespace GPSTest
{
    // And this is the definition of that DataReceivedEventHandler delegate
    // This does not have to be in the same class as everything else I've
    // shared - in fact, it shouldn't be in ANY class - just the same namespace.
    public delegate void DataReceivedEventHandler();


    public class Program
    {

        static GPS myInstance;

        public static void Main()
        {
            // write your code here

            myInstance = new GPS();

            // Wire up a handler for the DataReceived event on an instance of the class 
            // that contains all of the code above
            myInstance.DataReceived += GPSDataReceived;

            myInstance.OpenGPSSerial();

            Thread.Sleep(Timeout.Infinite);


        }



        // Here's the code for the handler
        private static void GPSDataReceived()
        {
            string message = myInstance.ReadLine();

            while (message != null && message != string.Empty)
            {
                Debug.Print("Received message: [GPS] " + message);

                message = myInstance.ReadLine();
            }
        }
    
    

    }
}
